"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.encodeLocation = exports.decodeLocation = void 0;
function decodeLocation(location) {
    if (location.startsWith('http')) {
        return location;
    }
    return decodeURI(location)
        .replace(/%23/g, '#')
        .replace(/%3B/g, ';')
        .replace(/^file:\/\/\//, '/');
}
exports.decodeLocation = decodeLocation;
function encodeLocation(location) {
    if (location.startsWith('http')) {
        return location;
    }
    return encodeURI(location.replace(/^\//, 'file:///').replace(/;/g, '%3B').replace(/#/g, '%23'));
}
exports.encodeLocation = encodeLocation;
